Page MenuHomePhabricator

Create lists of CiviCRM groups to allow MG & DS to review with a view to tidy up
Closed, ResolvedPublic1 Estimated Story Points

Description

Might help with replication

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2017, 10:50 PM
DStrine triaged this task as Medium priority.Aug 29 2017, 7:37 PM
DStrine set the point value for this task to 1.Aug 29 2017, 7:43 PM

In the interests of
a) tidying up the UI & usability
b) reducing data in the hope of reducing cache generation load

I am generating lists of groups in CiviCRM. I think I probably need to get the DB restored from live to staging to do the smart groups but here is a list of the 230 non-smart groups

https://docs.google.com/a/wikimedia.org/spreadsheets/d/1VA_Jv0Dpbk2439xPU7mrGaK0piCXSD38o05tfqHetpo/edit?usp=sharing

I suspect about 10% are useful & I suggest that we approach this by people who might have groups they care about taking a look & highlighting any rows that we should KEEP.

@MBeat33 , @LeanneS @NNichols @CCogdill_WMF & @Ejegg @DStrine @CaitVirtue @K4-713 please comment back on here if you are satisfied that all the groups that contain useful information & should be kept are highlighted. This list does NOT include smart groups so that's why you won't see them.

I couldn't ping Danny?

I don't make use of smart groups outside of the one used for the Silverpop
import, which Eileen has already flagged. I'm OK with whatever decisions
you make. Thanks!

Danny is OOO until 9/6

Sent email to DS/ MG/FT-tech

Hi all,

Both as a general cleanup and in order to see if it helps performance issues I’m looking at groups in CiviCRM I have compiled a list of groups in CiviCRM which I’d like you to review & identify which ones you wish to keep / feel comfortable removing.

https://docs.google.com/spreadsheets/d/1VA_Jv0Dpbk2439xPU7mrGaK0piCXSD38o05tfqHetpo/edit#gid=1678388302

The ones marked ‘Strongly Propose Delete’ (also highlighted in red) are either broken or had specific performance issues and I would like to remove them as a priority. I have marked the ones I know the usage of as ‘Keep’ and the one’s I’m pretty sure Major gifts use as ‘Propose Keep’.

In deciding whether to keep groups I would suggest the following considerations / criteria

  • Smart groups should be kept if they are actually used & useful.
  • If a smart group ‘might one day be useful’ then it may be better just to do the search when you need to.
  • The lower the group id the earlier it was created (and more likely they are no longer used)
  • any group created since Nov 2016 will have an owner
  • Non smart groups are useful if they provide additional information about a donor that is reliable and useful - some examples
    • WMF Staff/Committees/Project Contacts/Vendors/Persons of Interest/Admins on English Wikipedia were created a long time ago & do not appear to be well enough maintained to be useful
    • Groups like ‘Open House 12/03/09 Attendees’ tell us the person attended an event & are likely to be useful
    • Information about receiving old fundraising emails doesn’t tell us what the donor did & is not reliable enough about the emails sent to seem very useful

How to deal with this big list….

Groups created since November 2015 will have an owner. I can add an owner to groups that do not have an owner. I propose that we try to reach a point where all groups that we keep have an owner.

So, I suggest that everyone look at the list and if there are any groups that they use / see value in keeping, that don’t have owner,s they ask me to make them the owner (ditto if the owner is incorrect - ie. I propose changing the owner of groups I have created for Major Gifts from me to Leanne). Any groups with no owner, or where the owner agrees to deletion will be deleted after that. I will send around a final list of groups to be deleted before completion.

Please

  • confirm to me when you have looked at the list & are happy there are no unowned groups that you use.
  • tell me which groups you wish to own.

Change 379463 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] The big group clean up.

https://gerrit.wikimedia.org/r/379463

Change 379465 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] Group follow up.

https://gerrit.wikimedia.org/r/379465

Change 380667 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] Changes to group clean up based on feedback from Caitlin.

https://gerrit.wikimedia.org/r/380667

Change 379465 abandoned by Eileen:
Group follow up.

https://gerrit.wikimedia.org/r/379465

Change 379463 abandoned by Eileen:
The big group clean up.

https://gerrit.wikimedia.org/r/379463

Change 380667 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] The big group clean up.

https://gerrit.wikimedia.org/r/380667

@LeanneS @NNichols this update is done - let me know if you hit any problems.

wrt the group of wikimedia board members - there are a handful of 2009 board members in the group , but a larger number recorded as having a 'Board Member' relationship with WMF - the only one in the group I checked had both. WMF staff seem the same so I guess we should remove people who have the relationship from the groups & when empty delete the groups.

Eileenmcnaughton closed this task as Resolved.Oct 31 2017, 11:14 PM
Eileenmcnaughton moved this task from Backlog to Done on the Fundraising Sprint Uptight Piano board.

I think this can go - we deleted most of the groups & all seems well